/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation
 * 1 service with interface Service1
 * 1 service with interface Service1Superset
 * 0 references
 *
 * Contains an @Service annotation with an @names attribute with 2 names that are identical
 * which is an error according to the SCA Java CAA specification
 */
@Service(value={Service1.class, Service1Superset.class}, names={"Service1", "Service1"})
public class duplicateServiceNamesImpl implements Service1, Service1Superset {

	@Property
	public String serviceName = "service1";

	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	public String operation2(String input) {
		return serviceName + " operation2 invoked";
	}

}
