/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;
import org.oasisopen.sca.annotation.Property;
import org.oasisopen.sca.annotation.Service;

/**
 * Java component implementation
 * 1 service with interface JCA3012Service3WithCallback
 * 1 callback using interface JCA3012Service3Callback
 * 0 references
 *
 * @author DaveBooz
 *
 */
@Service(JCA3012Service3WithCallback.class)
public class JCA3012service3Impl1 implements JCA3012Service3WithCallback {
	
	@Property
	public String serviceName = "service3";
	@Callback
	public JCA3012Service3Callback callback;

	/**
	 * Service operation which also invokes an operation on the callback
	 */
	public String operation1(String input) {
		String callbackResult = callback.callback1("callback");
		return serviceName + " operation1 invoked" + " " + callbackResult;
	}

} // end class
