/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

/**
 * A service with 3 operations - with a @WebService annotation that references a WSDL
 * - operation1: input String response String
 * - operation2: input String response String
 * - operation3: input String response String
 *
 */
import javax.jws.WebService;

import org.oasisopen.sca.annotation.Remotable;

// Note the use of a relative URI for the WSDL here - it is placed alongside this interface class in
// the same contribution
@WebService(wsdlLocation="Service3OperationsWSDL.wsdl")
@Remotable
public interface Service3OperationsWSDL {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * A second method for invoking a testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation2( String input );
	
	/**
	 * A third method for invoking a testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation3( String input );	

}
