/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_7006_TestCase
 * Tests that when an asynchronous service implementation invokes the sendFault method of the supplied 
 * ResponseDispatch.object that the exception is sent to the client of the service operation and if the 
 * sendFault method is subsequently invoked a second time when that method has already been called once 
 * for a given ResponseDispatch object, the method throws an IllegalStateException
 */
public class JCA_7006_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_7006 request " +
    	                           "Invocation of async service implementation threw exception: " +
    	                           "org.oasisopen.sca.test.BusinessFault1 " + "First fault thrown" +
    	                           " expected IllegalStateException thrown on second invocation of sendFault";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_7006
