/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9012_TestCase
 * Tests invocations of the ComponentContext.createSelfReference(businessInterface, serviceName) method:
 * o invocation returns a ServiceReference typed by the interface of the businessInterface parameter for the service offered by the 
 *   component that has that interface and has the name specified by serviceName
 * o method throws an IllegalArgumentException if the service named in the serviceName parameter does not have the interface 
 *   specified by the businessInterface parameter
 * o method throws an IllegalArgumentException if the component does not have a service with the name specified 
 *   in the serviceName parameter
 */
public class JCA_9012_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9012 request service1 operation1 invoked createSelfReference" +
    	                           " expected IllegalArgumentException received for invalid businessInterface" + 
    	                           " expected IllegalArgumentException received for invalid service name" +
    	                           " expected non-null ServiceReference" + 
    	                           " service1 operation2 invoked" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9012
