/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9015_TestCase
 * Tests invocations of the RequestContext.getServiceName method:
 * o invocation returns the name of the service for which the operation is being processed when called from a thread processing 
 *   a service operation
 * o method returns null when called from a thread not processing a service operation or callback operation
 */
public class JCA_9015_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9015 request service1 operation1 invoked RequestContext" +
    	                           " expected non-null serviceName from getServiceName" +
    	                           " expected value for returned serviceName" +
    	                           " expected null ServiceReference from getCallbackReference" +
    	                           " expected null reference proxy from getCallback" +
    	                           "service2 operation1 invoked " +
    	                           " expected non-null ServiceReference from getCallbackReference" +
    	                           " expected ServiceReference has the callback business interface" +
    	                           "service2 callback1 invoked" +
    	                           " expected non-null reference proxy from getCallback" +
    	                           " expected reference proxy has the callback business interface" +
    	                           "service2 callback1 invoked" +
    	                           "service3 operation1 invoked " +
    	                           " expected non-null ServiceReference from getServiceReference" +
    	                           " expected ServiceReference has the callback business interface" +
    	                           " expected null from getServiceName" +
    	                           " expected null ServiceReference from getCallbackReference" +
    	                           " expected null reference proxy from getCallback" +
    	                           " expected null ServiceReference from getServiceReference" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9015
