/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.ServiceLocalRemote;


/**
 * Java component implementation
 * 1 service with interface ServiceLocalRemote, which has a callback
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(ServiceLocalRemote.class)
public class serviceLocalRemoteImpl implements ServiceLocalRemote {
	
	@Property
	public String serviceName = "service1";
	@Callback
	public ServiceLocalRemoteCallback callback;

	/**
	 * Service operation which also invokes an operation on the callback
	 */
	public String operation1(String input) {
		String callbackResult = callback.callback1("callback");
		return serviceName + " operation1 invoked" + " " + callbackResult;
	}

} // end class
