/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;
import org.oasisopen.sca.annotation.Property;
import org.oasisopen.sca.annotation.Service;

/**
 * Java component implementation
 * 1 service with interface Service3WithCallback
 * 1 callback using interface Service3Callback
 * 0 references
 *
 * This class has a public field annotated with @Callback which has a interface that
 * is NOT one of the callback interfaces declared on the implementation class, which is
 * an error.
 */
@Service(Service3WithCallback.class)
public class service3ImplBad implements Service3WithCallback {
	
	@Property
	public String serviceName = "service3";
	// Field has @Callback annotation but the field type is not one of the callback interfaces declared by
	// any of the services provided by this implementation
	@Callback
	public Service3BadCallback callback;

	/**
	 * Service operation which also invokes an operation on the callback
	 */
	public String operation3(String input) {
		String callbackResult = callback.callback1("callback");
		return serviceName + " operation1 invoked" + " " + callbackResult;
	}

} // end class
