/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.Service1Superset;

/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * This class has a @Service annotation with a list of Service interface classes and a list of names, but
 * the size of the interface class list is different from the size of the names list
 */
@Service(value={Service1.class, Service1Superset.class}, names={"Service1", "AnotherService", "YetAnotherService"})
public class serviceNamesMismatchImpl implements Service1 {

	@Property
	public String serviceName = "service1";

	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

} // end serviceNamesMismatchImpl
