/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.util.concurrent.Future;

import javax.xml.ws.AsyncHandler;
import javax.xml.ws.Response;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service1 service interface
 * - this version has all the additional JAXWS async client methods added
 */
@Remotable
public interface Service1WithAsyncMethods {
	
	/**
	 * Synchronous method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * Async polling version of the synchronous operation1 method
	 * @param input
	 * @return
	 */
	public Response<String> operation1Async( String input );
	
	/**
	 * Callback version of the synchronous operation1 method
	 * @param input - input String
	 * @param callback - Async callback handler
	 * @return - a Future representing the outstanding request
	 */
	public Future<?> operation1Async( String input, AsyncHandler<String> callback );

} // end interface Service1WithAsyncMethods
