/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service interface for checking parallel execution of service invocations
 * of a stateless Java implementation
 *
 */
@Remotable
public interface ParallelService {
	
	/**
	 * Method for invoking the service implementation and getting back a result
	 * which indicates whether the implementation instance was invoked more than
	 * once on different Java threads
	 * @param input - input parameter(s) as a String
	 * @return - output data as an int:
	 * 0 = instance was not invoked more than once on different threads
	 * n > 0 = instance was invoked more than once on different threads
	 */
	public int operation1( String input );

}
