/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

/**
 * A service with 2 operations
 * - operation1: input String response String
 * - operation2: input String response String
 *
 */
import javax.jws.WebService;
import javax.jws.WebMethod;

import org.oasisopen.sca.annotation.Remotable;

@WebService
@Remotable
public interface Service2Operations {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@WebMethod(exclude=true)
	public String operation1( String input );
	
	/**
	 * A second method for invoking a testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation2( String input );
	
}
