/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Property;
import org.oasisopen.sca.annotation.Reference;
import org.oasisopen.sca.annotation.Service;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service3WithCallback which has a Callback
 * interface Service3Callback which is implemented by this class
 * reference gets called when service1 operation1 is invoked
 * @author DaveBooz
 *
 */
@Service(Service1.class)
public class service1CallbackImpl implements Service1, Service3Callback {
	
	@Property
	public String serviceName = "service1";

	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public Service3WithCallback reference1 = null;

	public String operation1(String input) {
		String result = reference1.operation3(input);
		return serviceName + " operation1 invoked" + " " + result;
	}
	
	public String callback1( String input ) {
		String output = serviceName + " callback1 invoked";
		return output;
	} // end 

}
