/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *     
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation with
 * 1 service with interface Service1
 * 1 reference (1..1) with interface Service1
 * 2 properties 
 * - invocationCount
 * - expectedResponse
 * 
 * The implementation invokes the reference invocationCount times and checks for the response expectedResponse
 */
@Service(Service1.class)
public class service1InitCheckerImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Required = true -> multiplicity 1..1
	@Reference(required=true)
	public Service1 reference1 = null;
	@Property
	public int invocationCount = 1;
	@Property
	public String expectedResponse = "null";
	
	private String initialResponse;

	public String operation1(String input) {
		String actualResponse;
		for( int i=0; i < invocationCount ; i++ ) {
			actualResponse = reference1.operation1("input");
			// If any one of the invocations does not return the expected data
			// then indicate that the whole test failed
			if( expectedResponse.equals(actualResponse) ) {
				return serviceName + " operation1 Init check failed";
			}
		} // end for 
		return serviceName + " operation1 Init check succeeded";
	} // end method operation1
	
} // end class compositeEagetInitImpl
