/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Implementation has a method marked with @Init
 * - the response from the operation1 method of Service1 differs depending on whether
 *   the @Init method has been called before the operation1 method is called
 *
 */
@Service(Service1.class)
public class service1InitImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	
	String response = "no Init";
	
	@Init
	public void initializer() {
		response = "Init was called";
	} // end methid initializer

	public String operation1(String input) {
		return serviceName + " operation1 " + response;
	} // end method operation1

} // end class service1InitImpl
