/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *     
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.ComponentContext;
import org.oasisopen.sca.RequestContext;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation with
 * 1 service with interface Service1
 * 0 references 
 * 
 * This implementation invokes the ComponentContext getRequestContext() API and
 * checks that the returned value is a valid RequestContext
 */
@Service(Service1.class)
public class service1RequestContextImpl1 implements Service1 {
	
	private ComponentContext componentContext;
	
	@Property
	public String serviceName = "service1";
	
	/**
	 * Setter for the ComponentContext used by this implementation
	 * @param theContext - the ComponentContext
	 */
	@Context
	public void setContext( ComponentContext theContext ) {
		componentContext = theContext;
	} // end method setContext

	public String operation1(String input) {
		String result = "";
		String response = serviceName + " operation1 invoked";
		
		try {
			RequestContext theReqContext = componentContext.getRequestContext();
			if( theReqContext == null ) return response + " null RequestContext received from getRequestContext()";
			result = "RequestContext - serviceName: " + theReqContext.getServiceName();
		} catch (Exception e) {
			return response + " exception received from getRequestContext: " + e.toString();
		} // end try

		return  response + " " + result;
	} // end operation1

}
