/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_11004_TestCase
 * Tests that if a Java interface used as a service interface contains JAXB 2.1 datatypes and annotations, 
 * the SCA runtime is able to map the interface to WSDL.
 */
public class JCA_11004_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_11004";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_11004 request service1 operation1 invoked service2 operation1 invoked:" + 
    	                           " JAXB string 2.71828 1 105 123456";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_11004
