/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_11008_TestCase
 * Tests that  where a Java implementation class has an SCA reference which uses an interface which contains 
 * the additional client side asynchronous polling and callback methods defined by JAX-WS, that the 
 * implementation class is able to use the asynchronous polling and callback methods with the semantics 
 * described in the JAX-WS 2.1 specification.
 */
public class JCA_11008_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_11008";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_11008 request service1 operation1 invoked" + 
    	                           " service2 operation1 invoked Future returned service3 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_11008", "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_11008
