/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_11017_TestCase
 * Tests that where a client component Java implementation has a reference that uses the async callback client API to invoke a service
 * which is an "asyncInvocation" asynchronous service, where the response to an operation is received some arbitrary time after the 
 * request is made, the client is able to make the invocation successfully and get back the result.
 */
public class JCA_11017_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_11017";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_11017 request service1 operation1 invoked" + 
    	                           " Future returned service2 operation1 invoked asynchronously" +
    	                           "Future returned Exception received when Response.get() invoked:" +
    	                           " org.oasisopen.sca.test.BusinessFault1: service2 operation1 invoked asynchronously";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_11017
