/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_3014_TestCase
 * Tests that where an <interface.java/> element references a Java interface class which contains a @WebService annotation 
 * with a non-empty wsdlLocation property pointing at a WSDL document, it is treated as if it were an <interface.wsdl/> element 
 * with an @interface attribute identifying the portType in the WSDL document mapped from the Java interface class 
 * 
 * This testcase is expected to fail
 */
public class JCA_3014_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_3014", "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_3014
