/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_4004_TestCase
 * Tests that where a Java implementation invokes an injected reference while in the 
 * initializing phase and the target of the reference has not been initialized, that 
 * the implementation receives a ServiceUnavailableException
 */
public class JCA_4004_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_4004 request Constructing" + 
    	                           " property1 injected reference1 injected property2 injected reference2 injected" + 
    	                           " Init invoked calling uninitialized service ServiceUnavailable exception received Init completed" +
    	                           " serviceLifecycle operation1 invoked" +
    	                           " service1 operation1 invoked service2 operation1 invoked service3 operation1 invoked" +
    	                           " prop1 prop2 prop3" +
    	                           " Destroy invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_4004
