/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_4007_TestCase
 * Tests that where a Java implementation throws an exception from its method marked with the 
 * @Destroy annotation, that the implementation transitions to the terminated state
 */
public class JCA_4007_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_4007 request Constructing" + 
    	                           " property1 injected reference1 injected property2 injected reference2 injected" + 
    	                           " Init invoked Init completed" +
    	                           " serviceLifecycle operation1 invoked" +
    	                           " service1 operation1 invoked service2 operation1 invoked service3 operation1 invoked" +
    	                           " prop1 prop2 prop3" +
    	                           " Destroy invoked exception thrown";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_4007
