/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9009_TestCase
 * Tests invocations of the ComponentContext.getServiceReference() method
 * o invoked with a referenceName parameter for a reference of multiplicity 0..n
 * o invoked for a reference which does not have the interface of the type in the businessInterface parameter
 * o invoked with a referenceName value that does not match the name of any of the references of the component
 * o invoked for a reference with multiplicity 0..1 which has no target service configured
 * o invoked for a valid reference with a target service configured
 */
public class JCA_9009_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9009 request service1 operation1 invoked getServices" +
    	                           " expected IllegalArgumentException received for 1..1 ref" + 
    	                           " expected IllegalArgumentException received for invalid businessInterface" + 
    	                           " expected IllegalArgumentException received for invalid reference name" + 
    	                           " expected empty Collection for unwired 0..n reference" +
    	                           " expected non-empty Collection for wired 0..n reference" +
    	                           " service2 operation1 invoked service3 operation1 invoked" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9009
