/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9016_TestCase
 * 
 * Tests invocations of the SCAClientFactory API class:
 * o invocation of newInstance( URI ) with a valid URI value returns an object which implements the SCAClientFactory class for the 
 *   SCA Domain identified by the domainURI parameter
 * o invocation of newInstance( URI ) with an invalid URI value causes a NoSuchDomainException to be thrown
 * o invocation of newInstance( Properties, URI ) with a valid URI value returns an object which implements the SCAClientFactory class 
 *   for the SCA Domain identified by the domainURI parameter
 * o invocation of newInstance( Properties, URI ) with an invalid URI value causes a NoSuchDomainException to be thrown
 * o invocation of newInstance( Classloader, URI ) with a valid URI value returns an object which implements the SCAClientFactory class 
 *   for the SCA Domain identified by the domainURI parameter
 * o invocation of newInstance( Classloader, URI ) with an invalid URI value causes a NoSuchDomainException to be thrown
 * o invocation of newInstance( Properties, Classloader, URI ) with a valid URI value returns an object which implements the SCAClientFactory 
 *   class for the SCA Domain identified by the domainURI parameter
 * o invocation of newInstance( Properties, Classloader, URI ) with an invalid URI value causes a NoSuchDomainException to be thrown
 * o invocation of getService with a serviceURI that identifies a service in the Domain which has the business interface identified 
 *   by the interfaze parameter returns a reference proxy object which can be used to invoke operations on the identified service
 * o invocation of getService with a serviceURI for which there is no service in the domain throws a NoSuchServiceException
 */
public class JCA_9016_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9016 request service1 operation1 invoked SCAClient" +
    	                           " expected non-null client factory" +
    	                           " expected exception received for invalid URI: NoSuchDomainException" +
							       " expected non-null client factory" +
							       " expected exception received for invalid URI: NoSuchDomainException" +
							       " expected non-null client factory" +
    	                           " expected exception received for invalid URI: NoSuchDomainException" +
							       " expected non-null client factory" +
    	                           " expected exception received for invalid URI: NoSuchDomainException" +
    	                           " expected non-null reference proxy" +
    	                           "service2 operation1 invoked" +
    	                           " expected NoSuchServiceException exception received for getService()";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9016
